#include <iostream>
#include <string>
#include <algorithm>
using namespace std;
int main()
{
    string s;
    while(cin>>s)
    {
        char ch=*max_element(s.begin(),s.end());
        string ans;
        for(size_t i=0; i<s.size(); i++)
        {
            ans+=s[i];
            if(s[i]==ch)
                ans+="(max)";
        }
        cout<<ans<<endl;
    }
    return 0;
}
